tigase.server.script

## Class AddScriptCommand

- java.lang.Object
- - tigase.server.script.AbstractScriptCommand
  - - tigase.server.script.AddScriptCommand

- All Implemented Interfaces:
    CommandIfc

      public class AddScriptCommand
      extends AbstractScriptCommand

  Created: Jan 2, 2009 2:29:48 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.script.AbstractScriptCommand

      `lineCommentStart`

    - ### Fields inherited from interface tigase.server.script.CommandIfc

      `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT_NAME, DEL_SCRIPT_CMD, DESCRIPT, LANGUAGE, PACKET, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddScriptCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Script` | `addAdminScript(String cmdId, String cmdDescr, String script, String lang, String ext, Bindings binds)` Method description
    `Bindings` | `getBindings()` Method description
    `void` | `runCommand(Iq packet, Bindings binds, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.script.AbstractScriptCommand

      `getCommandId, getDescription, init, isAdminOnly, isEmpty, setAdminOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddScriptCommand

          public AddScriptCommand()

  - ### Method Detail

    - #### addAdminScript

          public Script addAdminScript(String cmdId,
                              String cmdDescr,
                              String script,
                              String lang,
                              String ext,
                              Bindings binds)
                                throws ScriptException

      Method description
      Parameters:
        `cmdId` -
        `cmdDescr` -
        `script` -
        `lang` -
        `ext` -
        `binds` -
      Throws:
        `ScriptException`

    - #### getBindings

          public Bindings getBindings()

      Method description

    - #### runCommand

          public void runCommand(Iq packet,
                        Bindings binds,
                        Queue<Packet> results)

      Method description
      Parameters:
        `packet` -
        `binds` -
        `results` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.